Difference between revisions of "OpenOffice NetBeans Integration/Releases/Release 1.2"

From Apache OpenOffice Wiki
Jump to: navigation, search
m (typo fixes)
m
 
(One intermediate revision by one other user not shown)
Line 37: Line 37:
  
 
Due to the lack of resources there is no estimation possible when these issues will be fixed.
 
Due to the lack of resources there is no estimation possible when these issues will be fixed.
 +
 +
[[Category:API]]
 +
[[Category:NetBeans]]

Latest revision as of 16:41, 21 December 2010

The 1.2 release date is not finally planned. For this release we will focus on improvements for the existing project types and the overall workflow.

Planned Feature  Status   Milestone 
NetBeans 6 support (building the plugin as well using it with NetBeans 6) planned -
Specialized UNO object file types
Similar to specialized project types we will provide specialized file types for Calc Add-ins and Add-On objects.
planned -
Extended and improved help files for the plugin planned -
Support for option pages. That means new xcs for new options, adapted xcu for the option page, code skeleton for event handler, adapted manifest, dialog editor support. planned -
Integration of extensible help for extensions (includes packaging of help files in the oxt, appropriate manifest entry, registration of xhp as xml file types) planned -
Upload action to extension repository (at least a menu entry to start a web browser with the extensions.services.openoffice.org repository. Later on when a web series would be available a smother integration is possible) planned -
Extended and improved automated tests for the plugin (it's more an implementation feature, plugin developer and QA feature) planned -

Besides these planned features the whole wiki page should be reworked and updated. For example exchange screenshots with new ones, extend documentation etc.


Current issues concerning NetBeans 6

  • Plugin cannot be built with NetBeans 6

Not tried yet, but seems to be resolved. See NetBeans issue 118101.

  • Error message while opening an IDL file

The IDL syntax highlighting uses a deprecated API in NetBeans, since there was no alternative in NB5. New API concepts for syntax highlighting have to be evaluated - and used.

  • Not recognized .class files generated from compiled IDL sources

This will not be fixed in NetBeans. See NetBeans issue 118100. We need to do a workaround for this.


Due to the lack of resources there is no estimation possible when these issues will be fixed.

Personal tools